import request from '@/utils/request'

// 查询app-公司列表
export function listMallAppCompany(query) {
  return request({
    url: '/mall/mallAppCompany/list',
    method: 'get',
    params: query
  })
}

// 查询app-公司详细
export function getMallAppCompany(companyId) {
  return request({
    url: '/mall/mallAppCompany/' + companyId,
    method: 'get'
  })
}

// 新增app-公司
export function addMallAppCompany(data) {
  return request({
    url: '/mall/mallAppCompany',
    method: 'post',
    data: data
  })
}

// 修改app-公司
export function updateMallAppCompany(data) {
  return request({
    url: '/mall/mallAppCompany',
    method: 'put',
    data: data
  })
}

// 删除app-公司
export function delMallAppCompany(companyId) {
  return request({
    url: '/mall/mallAppCompany/' + companyId,
    method: 'delete'
  })
}

// 导出app-公司
export function exportMallAppCompany(query) {
  return request({
    url: '/mall/mallAppCompany/export',
    method: 'get',
    params: query
  })
}